package com.cool.store.service;

import com.cool.store.enums.UserRoleEnum;

import java.util.List;
import java.util.Map;

public interface SysRoleService {

    Boolean checkIsAdmin(String userId);

    Map<String, Long> getXfsgRoles();

    /**
     * 根据区域 和 角色优先级(优先取第一个角色 没有用户取第二个角色，以此类推)获取一个用户
     * @param regionId
     * @param roleList
     * @return
     */
    String getUserIdByRegionIdWithRolePriority(Long regionId, List<UserRoleEnum> roleList);
}
